/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.shared.model;

import java.util.List;

public class DefaultModule implements Module {

    private String name;
    private String localname;
    private ModuleGroup group;
    private boolean selected;
    private List<String> rivers;

    public DefaultModule() {
    }

    public DefaultModule(
        final String name,
        final String localname,
        final boolean selected,
        final String groupId,
        final String groupLabel,
        final List<String> rivers) {
        this.name = name;
        this.localname = localname;
        this.selected = selected;
        this.group = new ModuleGroup(groupId, groupLabel);
        this.rivers = rivers;
    }

    /**
     * Returns the name of the module
     */
    @Override
    public String getName() {
        return this.name;
    }

    /**
     * Returns the localized name of the module
     */
    @Override
    public String getLocalizedName() {
        return this.localname;
    }

    /**
     * Returns true if the module should be selected
     */
    @Override
    public boolean isSelected() {
        return this.selected;
    }
    
    @Override
    public ModuleGroup getGroup() {
        return this.group;
    }

    /**
     * @return the rivers
     */
    @Override
    public List<String> getRivers() {
        return this.rivers;
    }
}